# ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK > Class Template Reference

Iterates over an ACE_Timer_List. More...

`#include <Timer_List_T.h>`

Inheritance diagram for ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >:

[legend]
List of all members.

## Public Types

typedef ACE_Timer_List_T< TYPE, FUNCTOR, ACE_LOCK > | List

## Public Member Functions

| ACE_Timer_List_Iterator_T (List &lst)
| Constructor.
virtual | ~ACE_Timer_List_Iterator_T (void)
| Destructor.
virtual void | first (void)
| Positions the iterator at the earliest node in the Timer Queue.
virtual void | next (void)
| Positions the iterator at the next node in the Timer Queue.
virtual int | isdone (void) const
| Returns true when there are no more nodes in the sequence.
virtual ACE_Timer_Node_T< TYPE > * | item (void)
| Returns the node at the current position in the sequence.

## Protected Attributes

List & | list_
| Pointer to the ACE_Timer_List that we are iterating over.
ACE_Timer_Node_T< TYPE > * | current_node_
| Current position in the ACE_Timer_List.

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK>
class ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >

Iterates over an ACE_Timer_List.

This is a generic iterator that can be used to visit every node of a timer queue.

## Member Typedef Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
typedef ACE_Timer_List_T<TYPE, FUNCTOR, ACE_LOCK> ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::List

## Constructor & Destructor Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::ACE_Timer_List_Iterator_T | ( | List & | lst | ) |

| Constructor.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::~ACE_Timer_List_Iterator_T | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
void ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::first | ( | void |  | ) | `[virtual]`

| Positions the iterator at the earliest node in the Timer Queue. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
int ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::isdone | ( | void |  | ) | const`[virtual]`

| Returns true when there are no more nodes in the sequence. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Node_T< TYPE > * ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::item | ( | void |  | ) | `[virtual]`

| Returns the node at the current position in the sequence. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
void ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::next | ( | void |  | ) | `[virtual]`

| Positions the iterator at the next node in the Timer Queue. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

## Member Data Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Node_T<TYPE>* ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::current_node_`[protected]`

| Current position in the ACE_Timer_List.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
List& ACE_Timer_List_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::list_`[protected]`

| Pointer to the ACE_Timer_List that we are iterating over.

The documentation for this class was generated from the following files:

- Timer_List_T.h
- Timer_List_T.cpp